﻿<?xml version="1.0" encoding="UTF-8"?>
<!-- ne pas oublier le namespace SDX -->
<xsl:stylesheet version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:sdx="http://www.culture.gouv.fr/ns/sdx/sdx">
	<!-- un paramtre recevant une valeur pour l'id du document --> 
	<xsl:param name="doc_id">xxx</xsl:param>
	<xsl:template match="/">
		<!-- soyons prudent : ne traitons que les documents que nous connaissons -->
		<xsl:apply-templates select="chapter"/>
		<xsl:apply-templates select="movie"/>
		<xsl:apply-templates select="rapport"/>
	</xsl:template>
	<xsl:template match="chapter">
		<!-- on dfinit un document avec l'id dfinie en paramtre -->
		<sdx:document id="{$doc_id}">
			<sdx:field name="personne">
				<xsl:value-of select="//firstname"/>
			</sdx:field>
		</sdx:document>
	</xsl:template>
	<xsl:template match="movie">
		<!-- on dfinit un document avec l'id dfinie en paramtre -->		
		<sdx:document id="{$doc_id}">
			<xsl:for-each select="//director | //character | //actor">
				<sdx:field name="personne">
					<xsl:value-of select="."/>
				</sdx:field>
			</xsl:for-each>
		</sdx:document>
	</xsl:template>
	<xsl:template match="rapport">
		<!-- on dfinit un document avec l'id dfinie en paramtre -->
		<sdx:document id="{$doc_id}">
			<sdx:field name="personne">
				<xsl:value-of select="de"/>
			</sdx:field>
			<sdx:field name="personne">
				<xsl:value-of select="a"/>
			</sdx:field>
			<sdx:field name="personne">
				<xsl:value-of select="resume/nom"/>
			</sdx:field>						
		</sdx:document>
	</xsl:template>
</xsl:stylesheet>	